petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESJacobianFunction

Function used to convey the nonlinear Jacobian of the function to be solved by SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESJacobianFunction(SNES snes,Vec x,Mat Amat,Mat Pmat,void *ctx);

| x | - input vector
| Amat | - the matrix that defines the (approximate) Jacobian
| Pmat | - the matrix to be used in constructing the preconditioner, usually the same as Amat.
| ctx | - [optional] user-defined Jacobian context

### See Also

SNESSetFunction(), SNESGetFunction(), SNESSetJacobian(), SNESGetJacobian()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages